Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface Normal

All Known Subinterfaces:
  LogNormalDist, NormalDist

All Known Implementing Classes:
  LogNormalDistImpl, NormalDistImpl

public interface Normal
extends DoubleDistribution, DoubleDistributionS

Internal.

Method Summary
`double` | `getMean()` The getMean method returns the mean of the distribution.
`double` | `getSampleWithMean$withStdDev(double mean, double sdev)` The getSampleWithMean:withStdDev: method returns a sample value drawn from a distribution with the specified mean and standard deviation.
`double` | `getSampleWithMean$withVariance(double mean, double variance)` The getSampleWithMean:withVariance: method returns a sample value drawn from a distribution with the specified mean and variance.
`double` | `getStdDev()` The getStdDev method returns the standard deviation of the distribution.
`double` | `getVariance()` The getVariance method returns the variance of the distribution.

Methods inherited from interface swarm.random.DoubleDistribution
`getDoubleSample`

Methods inherited from interface swarm.random.ProbabilityDistribution
`getCurrentCount, getGenerator, getOptionsInitialized, getVirtualGenerator`

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.random.InternalState
`getMagic, getStateSize`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getMean

    public double getMean()

  The getMean method returns the mean of the distribution.

### getVariance

    public double getVariance()

  The getVariance method returns the variance of the distribution.

### getStdDev

    public double getStdDev()

  The getStdDev method returns the standard deviation of the distribution.

### getSampleWithMean$withVariance

    public double getSampleWithMean$withVariance(double mean,
                                                 double variance)

  The getSampleWithMean:withVariance: method returns a sample value drawn from a distribution with the specified mean and variance.

### getSampleWithMean$withStdDev

    public double getSampleWithMean$withStdDev(double mean,
                                               double sdev)

  The getSampleWithMean:withStdDev: method returns a sample value drawn from a distribution with the specified mean and standard deviation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD